<div class="example-form">
    <mat-card>

        <h3><i class="material-icons">
            add_location
            </i> Add Location</h3>
        <form #addForm="ngForm" novalidate>
            <div fxLayout="column" fxLayoutAlign="flex-start" fxLayoutGap="1vw">
                
                <mat-form-field>
                    
                    <input matInput type="text" id="city" name="city" #cityfield="ngModel" [(ngModel)]="location.city" pattern="^[a-zA-Z ]*$" placeholder="City" required/>
                    <div [hidden]="cityfield.value==''" >
                        <button  mat-button class="clear" (click)="clearField('city')">
                            <i class="material-icons">close</i>
                        </button>
                    </div>
                    <div *ngIf="cityfield.errors && (cityfield.touched)">
                        <div *ngIf="cityfield.errors.required">
                            <mat-error [hidden]="!cityfield.errors.required && cityfield.dirty"><span><i class="material-icons">error</i> cannot be empty</span></mat-error>
                        </div>
                        <div *ngIf="cityfield.errors.pattern">
                            <mat-error [hidden]="!cityfield.errors.pattern && cityfield.dirty"><span><i class="material-icons">error</i> invalid city</span></mat-error>
                        </div>  
                    </div> 
                </mat-form-field>

                <mat-form-field>
                    <input matInput type="text" id="country" name="country" #countryfield="ngModel" [(ngModel)]="location.country" pattern="^[a-zA-Z ]*$" placeholder="Country" />
                    <div [hidden]="countryfield.value==''" >
                        <button  mat-button class="clear" (click)="clearField('country')">
                            <i class="material-icons">close</i>
                        </button>
                    </div>
                    <div *ngIf="countryfield.errors && (countryfield.touched)">
                        <div *ngIf="countryfield.errors.pattern">
                            <mat-error [hidden]="!countryfield.errors.pattern && countryfield.dirty"><span><i class="material-icons">error</i> invalid country</span></mat-error>
                        </div>  
                    </div> 
                </mat-form-field>

                <mat-form-field>
                    <input matInput type="url" id="imageurl" name="imageurl" #urlfield="ngModel" [(ngModel)]="location.imageurl" pattern="https?://.+" placeholder="Image URL" />
                    <div [hidden]="urlfield.value==''" >
                        <button  mat-button class="clear" (click)="clearField('url')">
                            <i class="material-icons">close</i>
                        </button>
                    </div>
                    <div *ngIf="urlfield.errors && (urlfield.touched)">
                        <div *ngIf="urlfield.errors.pattern">
                            <mat-error [hidden]="!urlfield.errors.pattern && urlfield.dirty"><span><i class="material-icons">error</i> invalid url</span></mat-error>
                        </div>  
                    </div> 
                </mat-form-field>
                

                <br/>
                <div [hidden]="urlfield.errors">
                    <img id="img-preview"  [hidden]="urlfield.value==''" [src]="loadPreviewImage()" alt=" fetching image" />
                </div>
                <div style="text-align: center;" [hidden]="cityfield.value=='' || location.result==''">
                    <mat-error [hidden]="result.value==''"><span> {{result}}</span></mat-error>
                </div>
                <br/>
                <div>
                    <button [disabled]="cityfield.value=='' && countryfield.value=='' && urlfield.value==''" id="clear-btn" mat-raised-button (click)="clearForm()" >
                        Clear
                    </button>
                    <button id="submit-btn" mat-raised-button color="primary" [disabled]="addForm.invalid" (click)="onSubmit()" >
                        Submit
                    </button>
                </div>
                

            </div>
        </form>
    </mat-card>
</div>


